import { request } from '@/utils/request.js'

/**
 * 公共 API接口
 */
export default {
  /**
   * 获取母包列表Options
   * @returns
   */
  getPackageOptionsApi(params = {}) {
    return request({
      url: '/v1/common/getPackageOptions',
      method: 'get',
      params
    })
  },

  /**
   * 获取子游戏options（有权限）
   * @param {Object} params
   * @returns
   */
  getGameOptionsApi(params = {}) {
    return request({
      url: '/v1/common/getGameOptions',
      method: 'get',
      params
    })
  },

  /**
   * 获取子游戏options（无权限）
   */
  getGameOptionsNoAuthApi(params = {}) {
    return request({
      url: '/v1/common/getGameOptionsNoAuth',
      method: 'get',
      params
    })
  },

  // /**
  //  * 获取子游戏TreeOptions
  //  */
  // getGameListTreeNoAuthApi(params = {}) {
  //   return request({
  //     url: '/v1/common/getGameListTreeNoAuth',
  //     method: 'get',
  //     params
  //   })
  // },

  // /**
  //  * 获取子游戏TreeOptions（有权限）
  //  * @param {*} params
  //  * @returns
  //  */

  // getGameListTreeApi(params = {}) {
  //   return request({
  //     url: '/v1/common/getGameListTree',
  //     method: 'get',
  //     params
  //   })
  // },

  /**
   * 获取广告位options
   */
  getAgentSiteOptionsApi(params = {}) {
    return request({
      url: '/v1/common/getAgentSiteOptions',
      method: 'get',
      params
    })
  },

  /**
   * 获取媒体列表options
   * @returns
   */
  getMediaOptionsApi(params = {}) {
    return request({
      url: '/v1/common/getMediaOptions',
      method: 'get',
      params
    })
  },

  /**
   * 获取充值渠道
   */
  getPayChannelOptionsApi(params = {}) {
    return request({
      url: '/v1/common/getPayChannelOptions',
      method: 'get',
      params
    })
  },
  /**
   * 获取游戏列表根据部门ID
   */
  getGameListByDeptIdApi(params = {}) {
    return request({
      url: '/v1/common/getGameListOptionsByDeptId',
      method: 'get',
      params
    })
  },

  /**
   * 获取游戏列表
   */
  getGameListOptionsApi(params = {}) {
    return request({
      url: '/v1/common/getGameListOptions',
      method: 'get',
      params
    })
  },

  /**
   * 给游戏分组用的游戏列表
   */
  getGameListOptionsByGroupApi(params = {}) {
    return request({
      url: '/v1/common/getGameListOptionsByGroup',
      method: 'get',
      params
    })
  },
  /**
   * 获取后台归属人列表
   * @returns
   */
  getAuthOptionsApi(params = {}) {
    return request({
      url: '/v1/common/getAuthOptions',
      method: 'get',
      params
    })
  },
  /**
   * 获取设计作者列表
   */
  getDesignAuthOptions(params = {}) {
    return request({
      url: '/v1/common/getDesignAuthOptions',
      method: 'get',
      params
    })
  }
}
